org.apache.jmeter.util

## Class ScriptingBeanInfoSupport.JSR223ScriptCacheCheckboxEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.apache.jmeter.util.ScriptingBeanInfoSupport.JSR223ScriptCacheCheckboxEditor

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.beans.PropertyEditor, java.util.EventListener, ClearGui
  Enclosing class:
    ScriptingBeanInfoSupport

      public static class ScriptingBeanInfoSupport.JSR223ScriptCacheCheckboxEditor
      extends java.beans.PropertyEditorSupport
      implements java.awt.event.ActionListener, ClearGui

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSR223ScriptCacheCheckboxEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `void` | `clearGui()` Clear the gui and return it to initial default values.
    `void` | `firePropertyChange()`
    `java.lang.String` | `getAsText()`
    `java.awt.Component` | `getCustomEditor()`
    `java.lang.Object` | `getValue()`
    `void` | `setAsText(java.lang.String value)`
    `void` | `setValue(java.lang.Object value)`
    `boolean` | `supportsCustomEditor()`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSR223ScriptCacheCheckboxEditor

          public JSR223ScriptCacheCheckboxEditor()

  - ### Method Detail

    - #### getAsText

          public java.lang.String getAsText()

      Specified by:
        `getAsText` in interface `java.beans.PropertyEditor`
      Overrides:
        `getAsText` in class `java.beans.PropertyEditorSupport`

    - #### setAsText

          public void setAsText(java.lang.String value)

      Specified by:
        `setAsText` in interface `java.beans.PropertyEditor`
      Overrides:
        `setAsText` in class `java.beans.PropertyEditorSupport`

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `java.beans.PropertyEditor`
      Overrides:
        `getValue` in class `java.beans.PropertyEditorSupport`

    - #### setValue

          public void setValue(java.lang.Object value)

      Specified by:
        `setValue` in interface `java.beans.PropertyEditor`
      Overrides:
        `setValue` in class `java.beans.PropertyEditorSupport`

    - #### getCustomEditor

          public java.awt.Component getCustomEditor()

      Specified by:
        `getCustomEditor` in interface `java.beans.PropertyEditor`
      Overrides:
        `getCustomEditor` in class `java.beans.PropertyEditorSupport`

    - #### firePropertyChange

          public void firePropertyChange()

      Overrides:
        `firePropertyChange` in class `java.beans.PropertyEditorSupport`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### supportsCustomEditor

          public boolean supportsCustomEditor()

      Specified by:
        `supportsCustomEditor` in interface `java.beans.PropertyEditor`
      Overrides:
        `supportsCustomEditor` in class `java.beans.PropertyEditorSupport`

    - #### clearGui

          public void clearGui()

      Description copied from interface: `ClearGui`
      Clear the gui and return it to initial default values. This is necessary because most gui classes are instantiated just once and re-used for multiple test element objects and thus they need to be cleared between uses.
      Specified by:
        `clearGui` in interface `ClearGui`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.